"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var HTTPStatusCode;
(function (HTTPStatusCode) {
    HTTPStatusCode["SUCCESS"] = "200";
    HTTPStatusCode["PAGE_NOT_FOUND"] = "404";
    HTTPStatusCode["ACCESS_FORBIDDEN"] = "403";
})(HTTPStatusCode = exports.HTTPStatusCode || (exports.HTTPStatusCode = {}));
var AuthStatus;
(function (AuthStatus) {
    AuthStatus[AuthStatus["LOGGED_IN"] = 0] = "LOGGED_IN";
    AuthStatus[AuthStatus["NOT_LOGGED_IN"] = 1] = "NOT_LOGGED_IN";
})(AuthStatus = exports.AuthStatus || (exports.AuthStatus = {}));
var HTTPRequestType;
(function (HTTPRequestType) {
    HTTPRequestType["GET"] = "GET";
    HTTPRequestType["POST"] = "POST";
})(HTTPRequestType = exports.HTTPRequestType || (exports.HTTPRequestType = {}));
var AccessRulesType;
(function (AccessRulesType) {
    AccessRulesType["ByRole"] = "role";
    AccessRulesType["ByAuth"] = "auth";
})(AccessRulesType = exports.AccessRulesType || (exports.AccessRulesType = {}));
