export default abstract class Controller {
    protected cachedViews: Map<string, any>;
    protected cachedLayoutViews: Map<string, any>;
    protected getLayout(): string;
    protected getPugViewTemplate(viewPath: any): any;
    protected getPugLayoutTemplate(layoutName: any): any;
    protected render(viewPath: any, params?: {}): any;
    protected renderString(content: string, params?: {}): any;
    protected renderLyout(viewPath: string, layoutPath: string, params: any): any;
    private finallRender;
}
