import { KatrineActionInterface } from './@types';
import UserInterface from "./UserInterface";
declare const _default: {
    httpPort: number;
    sessionConfig: {
        secret: string;
        resave: boolean;
        saveUninitialized: boolean;
    };
    express: any;
    setPublicFolder(folder: string): void;
    loadControllers(controllers: string[]): void;
    initActions(): void;
    handle404(req: any, res: any): void;
    handle403(req: any, res: any): void;
    getActionPromise(action: KatrineActionInterface, req: any, res: any): Promise<any>;
    callAction(action: KatrineActionInterface, req: any, res: any, status?: string): void;
    requestHandler(action: KatrineActionInterface, req: any, res: any): void;
    applyConfig(config: any): void;
    run(config: any): void;
    auth(session: any, user: UserInterface): void;
    authLogoutUser(session: any): void;
};
export default _default;
