import { AuthStatus, HTTPRequestType } from './@types';
/**
 * Marks handler(function) in controller as action
 *
 * @param route - Express compatible router
 * @param method - POST/GET that will be bind
 */
export declare function action(route: string, method?: HTTPRequestType): (controller: any, actionMethod: string, descriptor: PropertyDescriptor) => void;
export declare function controller(controllerClass: any): void;
export declare const accessByRole: (roles: string | string[]) => (controller: any, actionMethod: string, descriptor: PropertyDescriptor) => void;
export declare const accessByAuth: (auth?: AuthStatus) => (controller: any, actionMethod: string, descriptor: PropertyDescriptor) => void;
