import AccessRuleInterface, { HTTPRequestType, KatrineActionInterface } from "../@types";
export default class KatrineAction implements KatrineActionInterface {
    private readonly route;
    private readonly actionMethodName;
    private readonly requestType;
    private readonly controllerClass;
    private readonly controllerName;
    private controller;
    private boundMethod;
    private accessRules;
    constructor(route: string, actionMethodName: string, requestType: HTTPRequestType, controllerClass: any);
    setInvoker(boundMethod: any): void;
    invoke(...args: any[]): any;
    getActionMethodName(): string;
    getRequestType(): HTTPRequestType;
    getRoute(): string;
    getControllerClass(): any;
    getControllerName(): any;
    getController(): any;
    setController(controller: any): void;
    addAccessRule(rule: AccessRuleInterface): void;
    canAccess(req: any): boolean;
}
